/*
 *  GOL - Game of life simulation software
 *  Copyright (C) 1996 Michael Raymond Brown
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Michael Raymond Brown
 *  EMail:  michael@arrakeen.demon.co.uk
 *  WWW:    http://www.arrakeen.demon.co.uk/
 *  Address:  Michael Brown
 *            Kia Ora
 *            Brook Street
 *            Great Bromley
 *            Nr Colchester
 *            Essex
 *            CO7 7HX
 *            England
 */


#ifndef _tMsgBox_h
#define _tMsgBox_h

#ifdef __GNUC__
#pragma interface
#endif


#include "App.h"
#include "Widget.h"

class xwMsgBox
   {public:
	enum
	   {tpYESNOCANCEL = 1
	   ,tpYESNO	  = 2
	   ,tpCANCEL	  = 3
	   ,tpOK	  = 4
	   };
	enum {rsYES=1      };
	enum {rsOK=1       };
	enum {rsNO=2	   };
	enum {rsCANCEL=3   };
	enum {rsUNKNOWN=-1 };

	static int  ask(xwApp* app, const char* title, const char* msg, int type = tpYESNOCANCEL);
	static int file(xwApp* app, const char* title, char* file, char* dir, const char* filetypes);

	static int showing;
   };

#endif

